Imagick::rollImage
Imagick::rotationalBlurImage
Imagick
PHP Manual

# Imagick::rotateImage

(PECL imagick 2.0.0)

Imagick::rotateImage — Rotates an image

### Description

bool Imagick::rotateImage ( mixed `$background` , float `$degrees` )

Rotates an image the specified number of degrees. Empty triangles left over from rotating the image are filled with the background color.

### Parameters

`background`

  The background color

`degrees`

  Rotation angle, in degrees. The rotation angle is interpreted as the number of degrees to rotate the image clockwise.

### Return Values

Returns `TRUE` on success.

### Changelog

Version | Description
--- | ---
2.1.0 | Now allows a string representing the color as the first parameter. Previous versions allow only an ImagickPixel object.

### Examples

Example #1 Imagick::rotateImage()

`<?php
function rotateImage($imagePath, $angle, $color) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->rotateimage($color, $angle);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::rollImage
Imagick::rotationalBlurImage
Imagick
PHP Manual